<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.receive.mapper.BaseDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.receive.entity.BaseDevice">
        <id column="id" property="id" />
        <result column="device_name" property="deviceName" />
        <result column="device_code" property="deviceCode" />
        <result column="device_status" property="deviceStatus" />
        <result column="work_location" property="workLocation" />
        <result column="work_location_type" property="workLocationType" />
        <result column="user_name" property="userName" />
        <result column="sys_user_id" property="sysUserId" />
        <result column="create_time" property="createTime" />
    </resultMap>

</mapper>
